Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.cmd
Class CmdProcessor

    java.lang.Object
      info.bioinfweb.treegraph.cmd.CmdProcessor

    public class CmdProcessor

extends Object

Field Summary
`static String` | `CONVERT_OPTION`
`static String` | `DEFAULT_LABEL_ID`
`static String` | `IMAGE_OPTION`
`private File` | `initialFile`
`static String` | `LAST_VERSION_CHECK_PREF_KEY`
`static String` | `NEWICK_OPTION`
`static String` | `NEXUS_OPTION`
`static long` | `VERSION_CHECK_INTERVAL`
`static String` | `VERSION_OPTION`
`static String` | `XTG_OPTION`

Constructor Summary
`CmdProcessor()`

Method Summary
`private void` | `checkUpdate()`
`private void` | `convert(info.webinsel.util.CommandLineReader reader)`
`File` | `getInitialFile()`
`void` | `process(info.webinsel.util.CommandLineReader reader)`
`private void` | `startUI()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LAST_VERSION_CHECK_PREF_KEY

    public static final String LAST_VERSION_CHECK_PREF_KEY

See Also:
  Constant Field Values

### VERSION_CHECK_INTERVAL

    public static final long VERSION_CHECK_INTERVAL

See Also:
  Constant Field Values

### VERSION_OPTION

    public static final String VERSION_OPTION

See Also:
  Constant Field Values

### CONVERT_OPTION

    public static final String CONVERT_OPTION

See Also:
  Constant Field Values

### XTG_OPTION

    public static final String XTG_OPTION

See Also:
  Constant Field Values

### NEWICK_OPTION

    public static final String NEWICK_OPTION

See Also:
  Constant Field Values

### NEXUS_OPTION

    public static final String NEXUS_OPTION

See Also:
  Constant Field Values

### IMAGE_OPTION

    public static final String IMAGE_OPTION

See Also:
  Constant Field Values

### DEFAULT_LABEL_ID

    public static final String DEFAULT_LABEL_ID

See Also:
  Constant Field Values

### initialFile

    private File initialFile

Constructor Detail

### CmdProcessor

    public CmdProcessor()

Method Detail

### getInitialFile

    public File getInitialFile()

### checkUpdate

    private void checkUpdate()

### startUI

    private void startUI()

### convert

    private void convert(info.webinsel.util.CommandLineReader reader)

### process

    public void process(info.webinsel.util.CommandLineReader reader)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD